Bug 245658 - JJ: Ability to see currently selected color in a pop-up palette
Summary: JJ: Ability to see currently selected color in a pop-up palette
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: git master (please specify the git hash!)
Platform: Unlisted Binaries Linux
: NOR wishlist
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2010-07-24 17:14 UTC by Dmitry Kazakov
Modified: 2014-05-30 15:53 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to display the foreground color in the popup palette (2.18 KB, patch)
2014-03-25 13:21 UTC, Koushik S
Details
Patch to update the FG Color in real-time (705 bytes, patch)
2014-03-30 11:59 UTC, Koushik S
Details
Patch to update the FG Color in real-time (847 bytes, patch)
2014-03-30 12:38 UTC, Koushik S
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2010-07-24 17:14:05 UTC
Version:           svn trunk
OS:                Linux

It would be great if it was possible to see currently selected color in a pop-up palette. I mean there should be some area of at least 1cm in size filled with the color to make the process easier. And the color of this area should synchronize with moving of the selector.

Reproducible: Always
Comment 1 Koushik S 2014-03-25 13:21:47 UTC
Created attachment 85732 [details]
Patch to display the foreground color in the popup palette

The current patch adds a circular area to the top left of the popup palette to display the foreground color. This patch utilizes the already present rectangular (masked) area of the palette to fit the FG color.
Comment 2 Halla Rempt 2014-03-26 09:14:37 UTC
Git commit 9e3f3ca5b10ae12db97be3bb9fc191e1764b5fb5 by Boudewijn Rempt.
Committed on 26/03/2014 at 09:10.
Pushed by rempt into branch 'master'.

Patch by Koushik S. Thanks!
CCMAIL:skoushik333@gmail.com

M  +13   -4    krita/ui/kis_popup_palette.cpp

http://commits.kde.org/calligra/9e3f3ca5b10ae12db97be3bb9fc191e1764b5fb5
Comment 3 Koushik S 2014-03-30 11:59:18 UTC
Created attachment 85843 [details]
Patch to update the FG Color in real-time

This patch modifies the earlier one in having the color to update in real-time while selection. It also removes a redundant line of code.
Comment 4 Koushik S 2014-03-30 12:38:03 UTC
Created attachment 85844 [details]
Patch to update the FG Color in real-time
Comment 5 Sven Langkamp 2014-03-30 13:10:29 UTC
Git commit af00de8aa4680bf1aeaeae140f4fa6397edb449d by Sven Langkamp.
Committed on 30/03/2014 at 13:08.
Pushed by langkamp into branch 'master'.

update popup palette color preview in real-time

Patch by Koushik S,
CCMAIL:skoushik333@gmail.com

M  +1    -1    krita/ui/kis_popup_palette.cpp

http://commits.kde.org/calligra/af00de8aa4680bf1aeaeae140f4fa6397edb449d
Comment 6 Halla Rempt 2014-05-30 15:42:09 UTC
Git commit 848e8ea2abc17aa8dda477be859104c80dceb4ea by Boudewijn Rempt.
Committed on 26/03/2014 at 09:10.
Pushed by dickson into tag 'steam-227926'.

Patch by Koushik S. Thanks!
CCMAIL:skoushik333@gmail.com

M  +13   -4    krita/ui/kis_popup_palette.cpp

http://commits.kde.org/calligra/848e8ea2abc17aa8dda477be859104c80dceb4ea
Comment 7 Halla Rempt 2014-05-30 15:53:27 UTC
Git commit 7a99115c9b8a5415b6e2e6e5a73659cd4a1e777b by Boudewijn Rempt, on behalf of Sven Langkamp.
Committed on 30/03/2014 at 13:08.
Pushed by dickson into tag 'steam-247500_247566'.

update popup palette color preview in real-time

Patch by Koushik S,
CCMAIL:skoushik333@gmail.com

M  +1    -1    krita/ui/kis_popup_palette.cpp

http://commits.kde.org/calligra/7a99115c9b8a5415b6e2e6e5a73659cd4a1e777b